import { FC } from 'react';
import { HiBaseHTMLProps } from '@hi-ui/core';
import { TooltipProps } from '@hi-ui/tooltip';
/**
 * 这是一个文字超出后，展示省略号，并且鼠标悬停时出现全部描述的组件
 */
export declare const EllipsisTooltip: FC<EllipsisTooltipProps>;
export interface EllipsisTooltipProps extends HiBaseHTMLProps<'div'> {
    /**
     * 子文本，待处理文本内容
     */
    children: string;
    /**
     * 超出行数展示省略号
     */
    numberOfLines?: number;
    /**
     * 最大文字展示
     */
    maxTextCount?: number;
    /**
     * tooltip 属性收敛
     */
    tooltipProps?: Partial<TooltipProps>;
}
